Netapi32Util.DomainTrust (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, class: Netapi32Util, class: DomainTrust

Package com.sun.jna.platform.win32

# Class Netapi32Util.DomainTrust

java.lang.Object
com.sun.jna.platform.win32.Netapi32Util.DomainTrust

Enclosing class:
  Netapi32Util

public static class Netapi32Util.DomainTrust extends Object
A domain trust relationship.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `String`
  `DnsDomainName`
  DNS name of the domain.
  `Guid.GUID`
  `DomainGuid`
  Contains the GUID of the domain represented by this structure.
  `String`
  `DomainGuidString`
  Contains the string representation of the GUID of the domain represented by this structure.
  `WinNT.PSID`
  `DomainSid`
  Contains the security identifier of the domain represented by this structure.
  `String`
  `DomainSidString`
  Contains the string representation of the security identifier of the domain represented by this structure.
  `String`
  `NetbiosDomainName`
  NetBIOS name of the domain.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DomainTrust()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `isInbound()`
  The domain represented by this structure directly trusts the domain that the server specified in the ServerName parameter of the DsEnumerateDomainTrusts function is a member of.
  `boolean`
  `isInForest()`
  The domain represented by this structure is a member of the same forest as the server specified in the ServerName parameter of the DsEnumerateDomainTrusts function.
  `boolean`
  `isNativeMode()`
  The domain represented by this structure is running in the Windows 2000 native mode.
  `boolean`
  `isOutbound()`
  The domain represented by this structure is directly trusted by the domain that the server specified in the ServerName parameter of the DsEnumerateDomainTrusts function is a member of.
  `boolean`
  `isPrimary()`
  The domain represented by this structure is the primary domain of the server specified in the ServerName parameter of the DsEnumerateDomainTrusts function.
  `boolean`
  `isRoot()`
  The domain represented by this structure is the root of a tree and a member of the same forest as the server specified in the ServerName parameter of the DsEnumerateDomainTrusts function.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### NetbiosDomainName

    public String NetbiosDomainName
    NetBIOS name of the domain.

  - ### DnsDomainName

    public String DnsDomainName
    DNS name of the domain.

  - ### DomainSid

    public WinNT.PSID DomainSid
    Contains the security identifier of the domain represented by this structure.

  - ### DomainSidString

    public String DomainSidString
    Contains the string representation of the security identifier of the domain represented by this structure.

  - ### DomainGuid

    public Guid.GUID DomainGuid
    Contains the GUID of the domain represented by this structure.

  - ### DomainGuidString

    public String DomainGuidString
    Contains the string representation of the GUID of the domain represented by this structure.

- ## Constructor Details

  - ### DomainTrust

    public DomainTrust()

- ## Method Details

  - ### isInForest

    public boolean isInForest()
    The domain represented by this structure is a member of the same forest as the server specified in the ServerName parameter of the DsEnumerateDomainTrusts function.
    Returns:
      True or false.

  - ### isOutbound

    public boolean isOutbound()
    The domain represented by this structure is directly trusted by the domain that the server specified in the ServerName parameter of the DsEnumerateDomainTrusts function is a member of.
    Returns:
      True or false.

  - ### isRoot

    public boolean isRoot()
    The domain represented by this structure is the root of a tree and a member of the same forest as the server specified in the ServerName parameter of the DsEnumerateDomainTrusts function.
    Returns:
      True or false.

  - ### isPrimary

    public boolean isPrimary()
    The domain represented by this structure is the primary domain of the server specified in the ServerName parameter of the DsEnumerateDomainTrusts function.
    Returns:
      True or false.

  - ### isNativeMode

    public boolean isNativeMode()
    The domain represented by this structure is running in the Windows 2000 native mode.
    Returns:
      True or false.

  - ### isInbound

    public boolean isInbound()
    The domain represented by this structure directly trusts the domain that the server specified in the ServerName parameter of the DsEnumerateDomainTrusts function is a member of.
    Returns:
      True or false.